<div class="header">
  <div class="header-row">
    <div class="leftSide">
      {{title}}
    </div>
    <div class="rightSide">
      <button mat-button *ngIf="hasAction" (click)="resolveAction()">
        {{buttonTitle}} &nbsp; <mat-icon>{{buttonIcon}}</mat-icon>
      </button>

      <button mat-button *ngIf="hasDeleteAction" (click)="resolveDeleteAction()">
       Διαγραφή &nbsp; <mat-icon style="color: red;">delete</mat-icon>
      </button>
    </div>
  </div>
</div>
